/* Define css variables here */
:root {
    --main-background-color: #ffffff;
    --color-black: #333;
    --color-grey: #999999;
    --color-primary: #007aff;
    --color-secondary: #f2f2f7;
    --color-red: #ff0000;
    --color-orange: #ffa41b;
    --color-light-blue: #dcedff;
    --color-green: #1dd882;
    --color-light-yellow: #fff5d0;
}
.header {
    display: flex;
    padding: 2.5rem 1rem 0 1rem;
    margin-bottom: 16px;
    z-index: 2;
    position: relative;
    margin-bottom: 20px;
}
.header .btn-link {
    outline: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    text-decoration: none;
    transition: all 0.2s ease;
    display: flex;
    align-items: center;
    column-gap: 8px;
    padding: 0 4px;
    border-radius: 4px;
}
.header .btn-link span {
    font-weight: 400;
    color: #333;
    font-size: 17px;
    line-height: 22px;
}
.header .btn-link:active {
    background-color: rgba(255, 164, 27, 0.25);
}
.body {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100dvh;
    background-color: var(--main-background-color);
    padding: 16px 1rem 0 1rem;
    box-shadow: 0px 4px 10px 0px rgba(140, 140, 140, 0.25);
    border-radius: 28px 28px 0 0;
}
.body .box {
    flex-grow: 1;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-width: thin;
    gap: 0;
}
.body .box .text-label {
    font-weight: 590;
    font-size: 20px;
    line-height: 25px;
    letter-spacing: -0.45px;
    color: var(--color-primary);
    margin-bottom: 6px;
}
.body .box .subtext-label {
    font-weight: 400;
    font-size: 17px;
    line-height: 22px;
    letter-spacing: -0.43px;
    color: var(--color-black);
}
.body .box .timeline {
    max-width: 600px;
    margin-top: 30px;
}
.body .box .timeline .timeline-item {
    display: flex;
    gap: 13px;
    position: relative;
    padding-bottom: 65px;
}
.body .box .timeline .timeline-item:not(:last-child)::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 1px;
    background: var(--color-grey);
    z-index: 1;
    transform: translate(10px, 16px);
}
.body .box .timeline .timeline-item.has-approved:not(:last-child)::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 1px;
    background: var(--color-grey);
    z-index: 1;
    transform: translate(10px, 16px);
}
.body .box .timeline .timeline-item:last-child {
    padding-bottom: 0;
}
.body .box .timeline .timeline-item img {
    position: relative;
    height: 20px;
    width: 20px;
    z-index: 2;
}
.body .box .timeline .timeline-item .icon-container.on-progress {
    height: 20px;
    width: 20px;
    border-radius: 999px;
    background-color: var(--color-light-blue);
    border: 1px solid var(--color-light-blue);
    display: flex;
    justify-content: center;
    align-items: center;
}
.body .box .timeline .timeline-item .icon-container.on-progress .icon-bullet {
    height: 10px;
    width: 10px;
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    border-radius: 999px;
}
.body .box .timeline .timeline-item .icon-container {
    height: 20px;
    width: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--color-grey);
    border-radius: 999px;
    background-color: var(--main-background-color);
    position: relative;
    z-index: 2;
}
.body .box .timeline .timeline-item .item-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.body .box .timeline .timeline-item .item-content .item-title {
    font-weight: 600;
    font-size: 17px;
    line-height: 22px;
    letter-spacing: -0.43px;
    color: var(--color-black);
}
.body .box .timeline .timeline-item .item-content .item-details {
    display: flex;
    gap: 9px;
    align-items: center;
}
.body .box .timeline .timeline-item .item-content .item-details .detail-title {
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0px;
    color: var(--color-grey);
}
.body .box .timeline .timeline-item .item-content .item-details .badge {
    background-color: var(--color-light-yellow);
    border: 1px solid var(--color-light-yellow);
    color: var(--color-orange);
    width: fit-content;
    height: 24px;
    padding: 0 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0px;
}
.body .box .timeline .timeline-item .subitem-content {
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0px;
    color: var(--color-grey);
}
